import { Task } from 'fp-ts/lib/Task';
import { RetryPolicy, RetryStatus } from '.';
/**
 * Apply policy and delay by its amount if it results in a retry.
 * Returns updated status.
 */
export declare const applyAndDelay: (policy: RetryPolicy, status: RetryStatus) => Task<RetryStatus>;
/**
 * Retry combinator for actions that don't raise exceptions, but
 * signal in their type the outcome has failed. Examples are the
 * `Option`, `Either` and `EitherT` monads.
 */
export declare const retrying: <A>(policy: RetryPolicy, action: (status: RetryStatus) => Task<A>, check: (a: A) => boolean) => Task<A>;
